#!/usr/bin/env python
# -*- coding: UTF-8 -*-

#Ecrit par Joël Scheuner le 04.05.2015
#Script pour récupérer la dernière température enregistrée dans la base de donnée mysql.
#système 1-wire

#structure de la base de donnée
#------#-------------#--------#--------------#
#  id  # id_capteur  #  date  #  temperature #
#------#-------------#--------#--------------#
#      #             #        #              #
#      #             #        #              #


import MySQLdb

_adresse_ = "localhost"				#adresse sur serveur mysql
_utilisateur_ = "admin"				#Nom d'utilisateur de la base de donnée mysql
_motdepasse_ = "1234"				#Mot de passe de la base de données
_database_ = "nomdeladatabase"		#Nom de la base de donnée
_sonde1wire_ = "10.D78BC3020800" 	#adresse de la sonde sur laquelle on veux récupérer la température
_valeurdecorrection_ = 5 			#valeur de correction pour que la température corresponde à celle affichée par la chaudière.


db = MySQLdb.connect(host=_adresse_, user=_utilisateur_, passwd=_motdepasse_, db=_database_)
c = db.cursor()
c.execute("SELECT `temperature` FROM `tb_capteur_temperature` WHERE id_capteur='%s' ORDER BY date DESC LIMIT 1" % _sonde1wire_ )
rows = c.fetchall() 
c.close()


for row in rows:
       print(row[0] + _valeurdecorrection_)